Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.el.sql
Class TransactionTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.sql.TransactionTagSupport
              org.apache.taglibs.standard.tag.el.sql.TransactionTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag, TryCatchFinally

    public class TransactionTag

extends TransactionTagSupport

Subclass for the JSTL library with EL support.

Author:
  Hans Bergsten, Justyna Horwat
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.sql.TransactionTagSupport
`dataSourceSpecified, rawDataSource`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TransactionTag()`

Method Summary
`int` | `doStartTag()` Prepares for execution by setting the initial state, such as getting the `Connection` and preparing it for the transaction.
`void` | `setDataSource(String dataSourceEL)`
`void` | `setIsolation(String isolationEL)` Setter method for the transaction isolation level.

Methods inherited from class org.apache.taglibs.standard.tag.common.sql.TransactionTagSupport
`doCatch, doEndTag, doFinally, getSharedConnection, release`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionTag

    public TransactionTag()

Method Detail

### setDataSource

    public void setDataSource(String dataSourceEL)

### setIsolation

    public void setIsolation(String isolationEL)

  Description copied from class: `TransactionTagSupport`
  Setter method for the transaction isolation level.

  Overrides:
    `setIsolation` in class `TransactionTagSupport`

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `TransactionTagSupport`
  Prepares for execution by setting the initial state, such as getting the `Connection` and preparing it for the transaction.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TransactionTagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.